commit 7e9c8103b8597e6a0853e5b2605f3b4bcc3027a3
Date:   Mon Feb 26 19:15:02 2018 +0800

    版本文件更新成4.1.6

 config/deploy/commerce_pro.xml   | 2 +-
 config/deploy/commerce_third.xml | 2 +-
 config/deploy/commerce_wms.xml   | 2 +-
 config/deploy/erp_pro.xml        | 2 +-
 config/deploy/erp_third.xml      | 2 +-
 config/deploy/erp_wms.xml        | 2 +-
 6 files changed, 6 insertions(+), 6 deletions(-)

commit 4a2caa04eebc6315089711fec742f8cefdf936c3
Date:   Tue Feb 6 14:40:47 2018 +0800

    v4.1.6版本changelog提交

 upgrade/4.1.6/readme.txt | 108 +++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 108 insertions(+)

commit 33a1eb6d04dec65ccf98c863314544130d833703
Merge: ab711d5 179ebf2
Date:   Tue Feb 6 14:38:45 2018 +0800

    Merge branch 'develop'

commit 179ebf2a0dad5b483dc8c2cea55ad7595ad6f717
Merge: ba4dee0 b005453
Date:   Wed Jan 31 14:21:05 2018 +0800

    Merge branch 'develop' of https://git.ishopex.cn/oms/oms-system-beta into develop

commit ba4dee036206c02765c7689a97e2b9f9824afc60
Date:   Wed Jan 31 14:19:59 2018 +0800

    换货优化

 app/ome/controller/admin/reship.php                | 25 ++------
 app/ome/controller/admin/return.php                | 69 +++++++++++++++++++---
 app/ome/dbschema/return_product_tmall.php          | 10 +++-
 app/ome/lib/event/receive/delivery.php             | 29 +++++----
 .../view/admin/return_product/sync_aftersale.html  | 42 +++++++++++++
 5 files changed, 134 insertions(+), 41 deletions(-)

commit 399504dbc3f5cc314a362b470dc0e1b916aad77c
Date:   Wed Jan 31 14:18:46 2018 +0800

    第三方退货单反馈时如果货号不存在不增加

 app/console/lib/receipt/reship.php |  2 ++
 app/console/lib/reship.php         | 44 ++++++++++++++++++++++++++++++++++++++
 2 files changed, 46 insertions(+)

commit aba6b7bdbdd666a93a9936016bc77254a3c5680a
Date:   Wed Jan 31 14:16:56 2018 +0800

    换货优化

 app/erpapi/lib/apiname.php                         | 11 ++++++
 .../lib/shop/matrix/tmall/request/aftersale.php    | 23 +++++++++++
 .../lib/shop/matrix/tmall/response/aftersalev2.php | 41 ++++++++++---------
 .../lib/shop/matrix/tmall/response/exchange.php    | 46 +++++++++++++++-------
 app/erpapi/lib/shop/request/aftersale.php          |  2 +
 app/erpapi/lib/shop/response/exchange.php          |  6 ++-
 app/erpapi/lib/shop/response/process/exchange.php  | 23 +++--------
 app/erpapi/lib/shop/whitelist.php                  |  3 +-
 8 files changed, 103 insertions(+), 52 deletions(-)

commit b00545360a1d7a533a5c14d5c90283c7ad5c06f3
Date:   Tue Jan 30 18:36:07 2018 +0800

    为指定的单个订单重置库存预占流水及订单状态

 app/console/controller/admin/stock.php             | 181 +++++++++++++++++++++
 .../view/admin/stock/reset_order_store_freeze.html |  93 +++++++++++
 2 files changed, 274 insertions(+)

commit 0a68ec24bf07a7e477e6d829eaab9b9f2c73c036
Date:   Tue Jan 30 10:21:28 2018 +0800

    售后申请单"接受申请"创建退换货单时,系统默认计算需退款金额并更新  jira:SAASOMS-362

 app/ome/controller/admin/return.php         | 42 +++++++++++++++++++++--------
 app/ome/controller/admin/return/rchange.php |  7 -----
 app/ome/lib/return/rchange.php              | 14 +++-------
 3 files changed, 35 insertions(+), 28 deletions(-)

commit 8446f9f6d44aad76ded2ecf271e1052b7c8d0acc
Date:   Mon Jan 29 17:37:15 2018 +0800

    修复开启拆单,订单审核时两个促销型销售物料捆绑同一个基础物料库存不足没有提示信息  jira:SAASOMS-436

 app/ome/controller/admin/order.php |  8 ++++++
 app/ome/lib/order/split.php        | 54 ++++++++++++++++++++++++++++++++++++++
 2 files changed, 62 insertions(+)

commit a87756d9b4a74432364ea34320818f8e7a207804
Date:   Fri Jan 26 14:22:09 2018 +0800

    换货功能优化调整

 app/ome/lib/finder/reship.php    |  9 ++++---
 app/ome/model/reship.php         |  4 ++-
 app/ome/model/return/product.php | 56 ++++++++++++++++++++++++----------------
 3 files changed, 43 insertions(+), 26 deletions(-)

commit ebecfe6d31bb15272b54d3317d8e4bcb3a8feba0
Date:   Thu Jan 25 18:22:19 2018 +0800

    销售物料编辑页点击查看关联的基础物料显示优化

 app/material/controller/admin/material/sales.php | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit bfdca4861ae09b4436268c573e6535435cae0e6c
Date:   Wed Jan 24 14:42:34 2018 +0800

    优化yili客户冻结流水表索引查询慢的问题

 app/material/dbschema/basic_material_stock_freeze.php | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit 4fc3b02443a27a884c6c9ce0a6b35cc24d17776c
Date:   Mon Jan 22 18:53:16 2018 +0800

    模拟仓储物流栏目加上唯品会JIT出库单取消功能

 app/console/lib/receipt/vopstock.php | 26 +++++++++++++++++++++++++-
 1 file changed, 25 insertions(+), 1 deletion(-)

commit b653c77c86240939397ca43278ce9aad48d461c2
Date:   Mon Jan 22 18:00:10 2018 +0800

    模拟仓储物流栏目加上唯品会JIT出库单取消功能

 app/omevirtualwms/controller/admin/wms.php | 3 +++
 1 file changed, 3 insertions(+)

commit 7668201de09b60c1b1a7486cfb3467fde371d39a
Date:   Mon Jan 22 17:30:09 2018 +0800

    模拟仓储物流栏目加上唯品会JIT出库单取消功能

 app/console/lib/event/receive/vopstockout.php      | 12 ++-
 .../lib/finder/extend/filter/vopstockout.php       | 74 +++++++++++++++++
 app/console/lib/receipt/vopstock.php               | 63 +++++++++++++-
 app/console/model/pick/stockout/bills.php          | 44 ++++++----
 app/console/services.xml                           |  3 +
 .../lib/wms/matrix/ilc/response/stockout.php       | 26 ++++--
 app/omevirtualwms/controller/admin/wms.php         | 65 +++++++++++++++
 app/omevirtualwms/dbschema/data_status.php         |  3 +-
 app/omevirtualwms/desktop.xml                      |  2 +-
 app/omevirtualwms/lib/finder/vopstockout.php       | 19 +++++
 app/omevirtualwms/model/vopstockout.php            | 65 +++++++++++++++
 app/omevirtualwms/services.xml                     |  3 +
 app/omevirtualwms/view/vopstockout.html            | 97 ++++++++++++++++++++++
 app/purchase/dbschema/pick_stockout_bills.php      |  2 +
 14 files changed, 449 insertions(+), 29 deletions(-)

commit 33c5782617471e9bfcf778e4c8885f6419a7a3ad
Date:   Wed Jan 17 18:28:42 2018 +0800

    天猫换货后售后转化加判断

 app/erpapi/lib/shop/matrix/tmall/response/aftersalev2.php | 11 ++++++++---
 1 file changed, 8 insertions(+), 3 deletions(-)

commit 94af2691dc57d5877adab05126ee41cd719383d0
Merge: 668b941 e44e25a
Date:   Wed Jan 17 17:13:02 2018 +0800

    Merge branch 'develop' of https://git.ishopex.cn/oms/oms-system-beta into develop

commit 668b9418f3a3281e14d1ed78c7b026583432c3cc
Date:   Wed Jan 17 17:12:43 2018 +0800

    修复分销王发货接口被禁止的问题

 app/erpapi/lib/shop/matrix/shopex/fxw/request/v2/delivery.php | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit e44e25af9831195196553291c52f51be5ebd4f6f
Merge: 8f30a53 ab033ed
Date:   Mon Jan 15 18:05:41 2018 +0800

    Merge branch 'develop' of https://git.ishopex.cn/oms/oms-system-beta into develop

commit 8f30a537e4199c45a95cab123877dfac1361b0da
Date:   Mon Jan 15 18:02:55 2018 +0800

    天猫换货优化

 .../lib/shop/matrix/tmall/response/aftersalev2.php | 63 ++++++++++++++++++++++
 app/erpapi/lib/shop/response/aftersalev2.php       | 39 ++++++++------
 app/erpapi/lib/shop/response/exchange.php          |  4 +-
 3 files changed, 87 insertions(+), 19 deletions(-)

commit 554078d89c176701bf3f901edf9f9689037c755c
Date:   Mon Jan 15 18:00:41 2018 +0800

    换货详情展示加判断

 app/ome/model/reship.php                                   | 14 +++++++++++++-
 app/ome/view/admin/return_product/plugin/detail_tmall.html |  6 ++++--
 2 files changed, 17 insertions(+), 3 deletions(-)

commit ab033ed9ec17961580f6974dcd7a52edd96e4774
Date:   Mon Jan 15 11:03:05 2018 +0800

    订单退货还在当前订单。问题：失败订单修复需判断订单是否已修复成功。SAASOMS-422

 app/ome/lib/order/fail.php | 17 +++++++++++------
 1 file changed, 11 insertions(+), 6 deletions(-)

commit 31686637b8075e0adad3dedacaa12505a3053abc
Date:   Thu Jan 11 12:25:22 2018 +0800

    奇门退货单无法取消优化

 app/ome/controller/admin/return/rchange.php | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 25bf5b0704b6d3c234b25878db18322bf14a9f41
Date:   Mon Jan 8 11:54:48 2018 +0800

    修复唯品会JIT仓库编辑时电话号码不能填写8位数字的问题

 app/console/view/admin/vop/warehouse_edit.html | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 6258f7ab817c5aca04a44c3f3d519abe3d47ff88
Date:   Mon Jan 8 11:45:50 2018 +0800

    自有仓调拨入库备注保存 SAASOMS-412

 app/wms/lib/event/trigger/otherinstorage.php | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 502df341a81ef9019b58f3727eecaf626bcb19f3
Date:   Wed Jan 3 18:40:24 2018 +0800

    天猫换货修改

 app/ome/model/return/product.php | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 76332deac0ce0db63e45076c27eb66653f72173a
Date:   Wed Jan 3 18:39:51 2018 +0800

    天猫换货修改

 app/console/controller/admin/stock.php |   4 +-
 app/console/lib/storefreeze.php        | 136 ++++++++++++++++-----------------
 2 files changed, 70 insertions(+), 70 deletions(-)

commit d6d3f30103c3c4e870097fe2ae0ece81793291c8
Date:   Wed Jan 3 17:19:51 2018 +0800

    天猫换货

 .../lib/shop/matrix/tmall/request/aftersale.php    | 104 +++++++++
 .../lib/shop/matrix/tmall/request/finance.php      |  27 +++
 .../lib/shop/matrix/tmall/response/exchange.php    | 130 +++++++++++
 app/erpapi/lib/shop/request/aftersale.php          |   7 +
 app/erpapi/lib/shop/response/aftersalev2.php       |   2 +-
 app/erpapi/lib/shop/response/exchange.php          | 244 +++++++++++++++++++++
 app/erpapi/lib/shop/response/process/exchange.php  | 227 +++++++++++++++++++
 app/erpapi/lib/shop/whitelist.php                  |  11 +
 8 files changed, 751 insertions(+), 1 deletion(-)

commit 6b4c44c4d66b72e600873597501aac642a8f3bcd
Date:   Wed Jan 3 17:16:13 2018 +0800

    天猫换货提交

 app/ome/controller/admin/reship.php                | 260 +++++++++++++++++++--
 app/ome/controller/admin/return.php                |  61 ++++-
 app/ome/controller/admin/return/rchange.php        |   4 +-
 app/ome/controller/admin/shop.php                  |  11 +
 app/ome/dbschema/order_extend.php                  |   7 +
 app/ome/dbschema/reship.php                        |  59 ++++-
 app/ome/dbschema/return_product.php                |  23 ++
 app/ome/dbschema/return_product_tmall.php          |  88 +++++--
 app/ome/lib/aftersale/abstract.php                 |  10 +-
 app/ome/lib/aftersale/request/tmall.php            | 116 +++++----
 app/ome/lib/event/receive/delivery.php             |  28 +++
 app/ome/lib/finder/extend/filter/reship.php        |   5 +-
 app/ome/lib/finder/reship.php                      |  88 ++++++-
 app/ome/lib/finder/return/product.php              |  23 +-
 app/ome/lib/finder/shop.php                        |  13 ++
 app/ome/lib/hqepay.php                             |  15 +-
 app/ome/lib/receipt/reship.php                     |   1 +
 app/ome/lib/service/aftersale.php                  | 103 +++++++-
 app/ome/model/reship.php                           |  85 +++++--
 app/ome/model/return/product.php                   | 152 +++++++++---
 app/ome/view/admin/reship/detail.html              |  10 +-
 app/ome/view/admin/reship/refuse_message.html      |  70 ++++++
 .../view/admin/return_product/detail/basic.html    |  14 ++
 .../admin/return_product/plugin/detail_tmall.html  |  44 +++-
 .../return_product/plugin/refuse_message.html      |  55 +++--
 .../admin/return_product/plugin/refuse_reason.html |  10 +
 .../rchange/create_change_order.html               |  32 +++
 .../view/admin/return_product/rchange/rchange.html | 156 +++++++------
 app/ome/view/admin/system/change.html              |  52 +++++
 29 files changed, 1313 insertions(+), 282 deletions(-)

commit e6ae3c1082db7483480451f905ed4d0d6033b63f
Merge: e7f6f1c e9f3cdd
Date:   Tue Jan 2 18:11:14 2018 +0800

    Merge branch 'develop' of https://git.ishopex.cn/oms/oms-system-beta into develop

commit e9f3cddfacfbe09b24e94fbafd7eee420c908b60
Date:   Fri Dec 29 19:19:40 2017 +0800

    订单编辑删除赠品时删除不了  jira:DDGL-996

 app/ome/lib/order/edit/gift.php | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit b1f15b361e58bba5d33e462aa3483eefc4dd5dd9
Date:   Thu Dec 28 16:30:44 2017 +0800

    微店平台对接

 .../lib/shop/matrix/weidian/request/delivery.php   | 60 ++++++++++++++++++++++
 .../lib/shop/matrix/weidian/request/order.php      |  3 ++
 .../shop/matrix/weidian/response/aftersalev2.php   | 33 ++++++++++++
 .../lib/shop/matrix/weidian/response/order.php     | 20 ++++++++
 app/erpapi/lib/shop/whitelist.php                  |  8 +++
 app/ome/lib/aftersale/request/weidian.php          |  9 ++++
 .../event/trigger/shop/data/delivery/common.php    |  3 +-
 .../event/trigger/shop/data/delivery/weidian.php   | 23 +++++++++
 app/ome/lib/shop/type.php                          |  4 +-
 app/ome/model/dly/corp.php                         | 30 +++++++++++
 10 files changed, 191 insertions(+), 2 deletions(-)

commit e7f6f1cd7439df477097a1b6f177544a2d994bda
Merge: 95f8678 97107ac
Date:   Wed Dec 27 18:15:28 2017 +0800

    Merge branch 'develop' of https://git.ishopex.cn/oms/oms-system-beta into develop

commit 97107ac72c2b6af3384b3d689eeacdd4b70552d3
Date:   Wed Dec 27 15:30:24 2017 +0800

    唯品会JIT送货批次新增几个时间点和要求到货时间  jira:DDGL-997

 app/console/controller/admin/vopstockout.php  | 38 ++++++++++++--
 app/console/view/admin/vop/stockout_edit.html | 68 +++++++++++++++++++++----
 app/purchase/lib/purchase/stockout.php        | 73 ++++++++++++++++++++-------
 3 files changed, 148 insertions(+), 31 deletions(-)

commit b52de2692ebaafcc498fe7e5130124679778441b
Date:   Tue Dec 26 11:31:06 2017 +0800

    代码备注中删除exboy字样

 app/ome/controller/admin/order.php | 93 +++++++++++++++++---------------------
 1 file changed, 42 insertions(+), 51 deletions(-)

commit d53c6be97cf2da5308c91bb5f617101d949fa8b9
Date:   Tue Dec 26 10:51:02 2017 +0800

    自有仓储已生成发货单的订单编辑删除商品时库存冻结流水多加数量的错误  jira:DDGL-996

 app/ome/controller/admin/order.php       |  45 ++++++++-----
 app/ome/lib/order/edit.php               |  26 ++++++++
 app/ome/lib/order/edit/gift.php          |  49 ++++++++++++++
 app/ome/lib/order/edit/goods.php         |  55 ++++++++++++++++
 app/ome/lib/order/edit/pkg.php           | 107 +++++++++++++++++++++++++++++++
 app/ome/lib/service/order/edit/gift.php  |  10 +++
 app/ome/lib/service/order/edit/goods.php |  10 +++
 app/ome/lib/service/order/edit/pkg.php   |  10 +++
 8 files changed, 295 insertions(+), 17 deletions(-)

commit 266a2cc9748038cf7841a165362a73344a0bf145
Date:   Fri Dec 15 17:32:31 2017 +0800

    出库单加上取消状态

 app/console/lib/finder/vopstockout.php | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 3be9314880fc7a070b7a6530159e2ebbb8914cab
Merge: aec1c67 e22e5db
Date:   Thu Dec 14 13:55:09 2017 +0800

    Merge branch 'develop' of https://git.ishopex.cn/oms/oms-system-beta into develop

commit aec1c67abc582112ca16e81ed893f0d9d7dc0bbb
Date:   Thu Dec 14 13:54:47 2017 +0800

    过滤唯品会JIT获取拣货单明细中名称中的换行符,防止导出时.csv文档中有换行  jira:SAASOMS-399

 app/purchase/lib/purchase/pick.php | 2 ++
 1 file changed, 2 insertions(+)

commit e22e5db3c0d04641d4c2030becc7574ea0b82b76
Date:   Thu Dec 14 13:37:05 2017 +0800

    报表-仓库发货情况退货没有统计到 SAASOMS-397

 app/omeanalysts/model/ome/branchdelivery.php | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 47c0aaf233656c19bdee363a47aa592778758271
Date:   Thu Dec 14 11:43:15 2017 +0800

    物料版库存总览和总库存列表栏目中加入订单冻结库存和仓库冻结库存字段展示  jira:SAASOMS-398

 app/material/lib/basic/material/stock/freeze.php | 8 ++------
 app/wms/lib/finder/basic/material.php            | 4 +---
 2 files changed, 3 insertions(+), 9 deletions(-)

commit 2b712c59e9f47d5527cd0f424807a689e9acbe25
Date:   Thu Dec 14 10:54:59 2017 +0800

    物料版库存总览和总库存列表栏目中加入订单冻结库存和仓库冻结库存字段展示  jira:SAASOMS-398

 app/console/lib/finder/basic/material.php        | 32 +++++++++++---
 app/material/lib/basic/material/stock/freeze.php | 55 +++++++++++++++++++++---
 app/wms/lib/finder/basic/material.php            | 55 +++++++++++++++++++-----
 3 files changed, 119 insertions(+), 23 deletions(-)

commit 42e9bf02cbe8f447813e3014bbf99ac59a45b6c1
Date:   Wed Dec 13 15:17:44 2017 +0800

    团购订单批量导入时,未填写价格导致订单明细没有插入(注:库存预占流水记录插入成功了)  jira:SAASOMS-396

 app/ome/lib/groupon/plugin/abstract.php | 12 ++++++++++++
 1 file changed, 12 insertions(+)

commit 95f8678d489f485f8d0270b3caba5157657fa633
Merge: d972e43 17f3520
Date:   Fri Dec 8 10:16:43 2017 +0800

    Merge branch 'develop' of https://git.ishopex.cn/oms/oms-system-beta into develop

commit d972e43dbe513d86fc15cbc0dcb8c5d860a1a17d
Date:   Fri Dec 8 10:15:59 2017 +0800

    智能客服千牛修改地址提交

 app/erpapi/lib/shop/matrix/tmall/response/qianniu.php | 4 ++++
 1 file changed, 4 insertions(+)

commit 17f3520186fddecfcf00d5b424c45774c2fb65b2
Date:   Wed Dec 6 16:54:33 2017 +0800

    售后申请单接受申请创建退换货单时系统默认计算需退款金额并更新

 app/ome/lib/return/product.php | 6 ++++++
 1 file changed, 6 insertions(+)

commit 5a6ce1153834a3aeb663ef6affd697ed5f6f846f
Date:   Wed Dec 6 16:07:58 2017 +0800

    智能客服千牛修改地址对接

 app/erpapi/lib/router/mapping.php                  |   3 +-
 .../lib/shop/matrix/tmall/response/qianniu.php     | 131 +++++++++++++++++++++
 app/erpapi/lib/shop/response/process/qianniu.php   |  53 +++++++++
 app/erpapi/lib/shop/response/qianniu.php           |  40 +++++++
 4 files changed, 226 insertions(+), 1 deletion(-)

commit f77bdb5fe0cb46e0b5759907bc635c947f0ba9d8
Date:   Wed Dec 6 16:07:28 2017 +0800

    智能客服千牛修改地址对接

 app/ome/controller/admin/shop.php        | 11 +++++++
 app/ome/lib/finder/shop.php              | 44 ++++++++++++++++++---------
 app/ome/view/admin/system/cloudkefu.html | 52 ++++++++++++++++++++++++++++++++
 3 files changed, 92 insertions(+), 15 deletions(-)

commit 7223e3086a1e0fb894b9580949e1336ab0286b48
Date:   Wed Dec 6 09:56:30 2017 +0800

    LMZ2017120404上海熊鑫电子商务有限公司（进销存统计数据有误）SAASOMS-389

 app/tgstockcost/lib/crontab/stockcost.php | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit e7ca945565f74ea6f7dd8e443f2bdc6fe3d5ab33
Date:   Mon Dec 4 14:51:21 2017 +0800

    LMZ2017120103上海贝臻电子商务有限公司（历史订单需求）SAASOMS-388

 app/ome/lib/finder/extend/filter/orders.php |  20 +-
 app/ome/model/orders.php                    | 310 ++++++++++++++--------------
 2 files changed, 177 insertions(+), 153 deletions(-)

commit 054b33d319a46d27eac052c74834a4a346ea4e9f
Date:   Fri Dec 1 16:39:27 2017 +0800

    合并发货单推送发货单时取不到正确运单号修复

 app/ome/lib/receipt/reship.php | 18 +++++++-----------
 1 file changed, 7 insertions(+), 11 deletions(-)

commit 2d815e02ee5ee37335778ff6a060059fbcabc142
Date:   Fri Dec 1 16:33:00 2017 +0800

    补打物流单号后快递单无法打印修复

 app/wms/controller/admin/receipts/print.php | 7 +++++--
 1 file changed, 5 insertions(+), 2 deletions(-)

commit 1d8cbc0efb885ae15a96e4edb2193c26b2b6691d
Date:   Thu Nov 30 10:54:43 2017 +0800

    不管成不成功都删除rpc

 app/base/lib/ego/ego.php | 178 +++++++++++++++++++++++------------------------
 1 file changed, 89 insertions(+), 89 deletions(-)

commit 9bc83fc6f0dc5b9fcf0eb7f850cf0b7421417001
Merge: ea2f945 510c7dd
Date:   Thu Nov 30 10:38:41 2017 +0800

    Merge branch 'develop' of https://git.ishopex.cn/oms/oms-system-beta into develop

commit ea2f945a9883a20ac2f62b9b10e7062c66ee3342
Date:   Thu Nov 30 10:38:23 2017 +0800

    LMZ2017113001上海熊鑫电子商务有限公司（报表问题）SAASOMS-387

 app/omeanalysts/model/ome/branchdelivery.php | 5 +----
 1 file changed, 1 insertion(+), 4 deletions(-)

commit 510c7dd7b54aa223ffc305af24ca0641bf795c5d
Date:   Wed Nov 29 15:24:52 2017 +0800

    批量修复失败订单时没有插入冻结预占流水错误修正 jira:SAASOMS-384

 app/ome/lib/order/fail.php | 19 ++++++++++++++++---
 1 file changed, 16 insertions(+), 3 deletions(-)

commit 23a3013d670c89cceea7b05464ebb8d120a79de8
Date:   Wed Nov 29 15:06:33 2017 +0800

    修复因没有仓库权限，取消发货单时拿不到warehouse_code SAASOMS-386

 app/ome/lib/delivery/notice.php | 17 +++++++++--------
 1 file changed, 9 insertions(+), 8 deletions(-)

commit 5ad0b9982f6bc5b189d5e2c3daf89ddaaf546f5d
Date:   Wed Nov 29 11:07:44 2017 +0800

    采购退货，其他出入库高级筛选新增货号搜索 SAASOMS-308

 .../lib/finder/extend/filter/iso.php               |  14 ++-
 app/taoguaniostockorder/model/iso.php              | 108 +++++++++++----------
 2 files changed, 71 insertions(+), 51 deletions(-)

commit 202ed593bf1aae1145a06f6d560d9d8b1d6a944e
Date:   Wed Nov 29 11:04:21 2017 +0800

    采购退货，其他出入库高级筛选新增货号搜索 SAASOMS-308

 .../lib/finder/extend/filter/returned/purchase.php | 22 +++++++++
 app/purchase/model/returned/purchase.php           | 56 ++++++++++++++--------
 app/purchase/services.xml                          |  5 +-
 3 files changed, 63 insertions(+), 20 deletions(-)

commit c2805ac2ef4e0ac835f04edbb456f971f71edc06
Date:   Tue Nov 28 15:18:09 2017 +0800

    进度条函数修改

 app/desktop/statics/js/coms/cmdrunner.js      | 66 +++++++++++++--------------
 app/desktop/statics/js_mini/coms/cmdrunner.js |  4 +-
 2 files changed, 35 insertions(+), 35 deletions(-)

commit 2b428f0aba64ec2cefe4ba9a605e3809e04b6ddb
Date:   Tue Nov 28 15:17:18 2017 +0800

    京东沧海对接

 app/erpapi/lib/channel/wms.php                     |  8 ++-
 app/erpapi/lib/wms/config.php                      | 12 ++--
 app/erpapi/lib/wms/matrix/jd/request/delivery.php  | 64 +++++++++++++++++++
 app/erpapi/lib/wms/matrix/jd/request/goods.php     | 74 ++++++++++++++++++++++
 app/erpapi/lib/wms/matrix/jd/request/logistics.php | 19 ++++++
 app/erpapi/lib/wms/matrix/jd/request/reship.php    | 60 ++++++++++++++++++
 app/erpapi/lib/wms/matrix/jd/request/shop.php      | 20 ++++++
 app/erpapi/lib/wms/matrix/jd/request/stockin.php   | 62 ++++++++++++++++++
 app/erpapi/lib/wms/matrix/jd/request/stockout.php  | 68 ++++++++++++++++++++
 app/erpapi/lib/wms/matrix/jd/request/supplier.php  | 23 +++++++
 app/erpapi/lib/wms/request/abstract.php            | 30 +++++----
 app/erpapi/lib/wms/request/logistics.php           | 26 ++++++--
 app/erpapi/lib/wms/request/shop.php                | 39 ++++++++++++
 13 files changed, 481 insertions(+), 24 deletions(-)

commit 300a59ba4be49bc30913808f4cffe4473e9b24a2
Date:   Tue Nov 28 15:16:20 2017 +0800

    京东沧海对接

 app/wmsmgr/controller/admin/wms.php | 67 ++++++++++++++++++++++++++++++++++++-
 app/wmsmgr/lib/finder/wms.php       | 18 +++++-----
 app/wmsmgr/view/base_sync.html      | 64 +++++++++++++++++++++++++++++++++++
 app/wmsmgr/view/monthaccount.html   | 11 ++++--
 4 files changed, 149 insertions(+), 11 deletions(-)

commit 34a0b8a5699c0667830377352d37b14274c5e1af
Date:   Tue Nov 28 15:15:54 2017 +0800

    京东沧海对接

 app/ome/lib/event/trigger/logistics.php | 28 +++++++++++++++++++++++++
 app/ome/lib/event/trigger/shop.php      | 37 +++++++++++++++++++++++++++++++++
 app/ome/lib/event/trigger/supplier.php  | 36 ++++++++++++++++++++++++++++++++
 3 files changed, 101 insertions(+)

commit 2b26fcd0f47209f3145e3e9477c79bbb9373a365
Date:   Tue Nov 28 12:14:16 2017 +0800

    唯一码修改

 app/ome/controller/admin/serial.php                | 22 +++++++++---------
 .../event/trigger/shop/data/delivery/common.php    |  9 ++++----
 app/ome/lib/sync/api/log.php                       | 26 +++++++++++-----------
 3 files changed, 30 insertions(+), 27 deletions(-)

commit 521a206461e1e922f662e2b751a7ddd75cd5cb94
Date:   Fri Nov 24 17:44:50 2017 +0800

    XY2017112401亿力（导出发货单明细不能显示货位）SAASOMS-382

 app/wms/model/delivery.php | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit f630abb30d00810e8950536f0343665cd4b6a815
Merge: 9f53b96 26b9ff5
Date:   Fri Nov 24 17:30:35 2017 +0800

    Merge branch 'develop' of https://git.ishopex.cn/oms/oms-system-beta into develop

commit 9f53b9644c915552718233e5f6ec18e0ae759e9c
Date:   Fri Nov 24 17:30:06 2017 +0800

    调整优化货品库存预占及释放的代码逻辑及描述

 app/material/lib/basic/material/stock.php        |  28 ++--
 app/material/lib/basic/material/stock/freeze.php |  22 +--
 app/o2o/lib/branch/product.php                   |  28 ++--
 app/ome/lib/branch/product.php                   |   7 +-
 app/ome/lib/store/manage/branch.php              | 171 +++++++++--------------
 app/ome/lib/store/manage/store.php               |  88 +++++++-----
 6 files changed, 170 insertions(+), 174 deletions(-)

commit 26b9ff566bf5ab7cc39f251971f698045b2ed0bd
Date:   Fri Nov 24 17:25:32 2017 +0800

    XY2017112401亿力（导出发货单明细不能显示货位）SAASOMS-382

 app/wms/model/delivery.php | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 6b5cd4bf038b57ac3f16a8fd7e01dc4d265bfc56
Date:   Fri Nov 24 16:11:51 2017 +0800

    XY2017112401亿力（导出发货单明细不能显示货位）SAASOMS-382

 app/wms/model/delivery.php | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 569956caab6cd3eed66f50f2cc4065ce4ebe9655
Date:   Fri Nov 24 11:27:13 2017 +0800

    针对总货品冻结的预占及释放增加更新是否成功的判断affect_row

 app/ome/lib/store/manage/branch.php | 128 +++++++++++++++++++++++++++---------
 app/ome/lib/store/manage/store.php  |  21 +++++-
 2 files changed, 116 insertions(+), 33 deletions(-)

commit ae34c8e8ec5656891d3f88a1cf2d124c4b4e5dfa
Date:   Fri Nov 24 11:09:58 2017 +0800

    库存处理相关：加affect_row。

 app/material/lib/basic/material/stock.php | 22 ++++++++++++++++++++--
 1 file changed, 20 insertions(+), 2 deletions(-)

commit caba668591d4153e1af9ee5d0c1e0a886098c39f
Date:   Fri Nov 24 10:38:57 2017 +0800

    库存处理相关：加affect_row。

 app/material/lib/basic/material/stock.php        | 52 +++++++++---------------
 app/material/lib/basic/material/stock/freeze.php | 20 ++++++++-
 app/o2o/lib/branch/product.php                   | 12 ++++--
 app/ome/lib/branch/product.php                   | 43 ++++----------------
 4 files changed, 54 insertions(+), 73 deletions(-)

commit e5ba84efab792680397de0f462247f5317285606
Date:   Thu Nov 23 19:01:26 2017 +0800

    预占流水释放失败加回滚

 app/ome/lib/interface/branch.php   |   3 +-
 app/ome/lib/store/manage/store.php | 101 ++++++++++++++++++++-----------------
 2 files changed, 56 insertions(+), 48 deletions(-)

commit abc631d800dcb0e8dd1aae69febdab01d7d3b65f
Merge: fd0374f 0942f74
Date:   Thu Nov 23 18:46:55 2017 +0800

    Merge branch 'develop' of https://git.ishopex.cn/oms/oms-system-beta into develop

commit fd0374f5fe3b5a78f4e891e4cccb5b4e4bb9363e
Date:   Thu Nov 23 18:45:58 2017 +0800

    快递鸟 -集包地四段码等面单信息获取

 app/wms/lib/delivery/template.php | 76 ++++++++++++++++++++-------------------
 1 file changed, 39 insertions(+), 37 deletions(-)

commit 3fa64607df784214a5f12f34777267903868ad92
Date:   Thu Nov 23 18:45:23 2017 +0800

    快递鸟 -集包地四段码等面单信息获取

 .../lib/logistics/matrix/hqepay/request/electron.php      | 15 ++++++++++-----
 1 file changed, 10 insertions(+), 5 deletions(-)

commit e9fcc3ffb28323d13a1e9362026bfabbceec77c7
Date:   Thu Nov 23 18:44:50 2017 +0800

    快递鸟 -集包地四段码等面单信息获取

 app/ome/lib/delivery/template.php | 86 ++++++++++++++++++++-------------------
 1 file changed, 44 insertions(+), 42 deletions(-)

commit 0942f74660be00feae294d6991b0a6d8c58dd007
Date:   Thu Nov 23 17:27:53 2017 +0800

    物料版新增人工库存预占功能模块 SAASOMS-368 日志记录调整

 app/console/controller/admin/stock/artificial/freeze.php | 16 +++++-----------
 app/console/lib/stock/artificial/freeze.php              |  6 ++++++
 app/console/lib/stock/artificial/import.php              |  2 ++
 app/ome/lib/operation/log.php                            |  8 +++++++-
 4 files changed, 20 insertions(+), 12 deletions(-)

commit dc34ac34e70cea2c5763a325ed27814c597f314b
Date:   Thu Nov 23 11:53:25 2017 +0800

    LMZ2017112202上海熊鑫电子商务有限公司（批量退款问题）SAASOMS-380

 app/ome/controller/admin/refund/apply.php | 18 +++++++++++++-----
 1 file changed, 13 insertions(+), 5 deletions(-)

commit 030c3f6a7a66f5e89bf25b9416a7231898d947fd
Date:   Wed Nov 22 17:29:33 2017 +0800

    自动仓库分组规则优化

 app/omeauto/lib/auto/type.php | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit 333054f5cb439e963df8e352da4023818ac1154e
Date:   Tue Nov 21 15:10:02 2017 +0800

    物流优选相关：门店订单审单物流列表默认能加载门店配送、门店自提。

 app/ome/model/branch.php | 20 ++++++++++++++------
 1 file changed, 14 insertions(+), 6 deletions(-)

commit 5f7ff46f0c432697b12ba168d0c739632cfcb16c
Date:   Mon Nov 20 18:22:39 2017 +0800

    部分拆分的订单编辑页面中发货单单据点击查看详细

 app/ome/controller/admin/delivery.php              | 54 +++++++++++++++++++---
 .../order/confirm/show_order_delivery_list.html    |  2 +-
 2 files changed, 49 insertions(+), 7 deletions(-)

commit d35a613d8bb693762b985ae3b5b891fb5e79af34
Date:   Mon Nov 20 15:23:41 2017 +0800

    拼多多退款状态修改

 app/erpapi/lib/shop/matrix/pinduoduo/request/order.php | 13 ++++---------
 1 file changed, 4 insertions(+), 9 deletions(-)

commit beacb7e09a4d48874de8ce063ab8b75ac4124378
Date:   Mon Nov 20 15:19:35 2017 +0800

    出入库确认 加缓存避免重复提交确认SAASOMS-373

 app/console/controller/admin/iostockorder.php |   9 ++
 app/console/controller/admin/purchase.php     | 209 +++++++++++++++++---------
 2 files changed, 149 insertions(+), 69 deletions(-)

commit 43ea0540cf2045ffbe55c6a85bd839120d750474
Date:   Fri Nov 17 17:55:46 2017 +0800

    物料版开启拆单后,o2o全渠道订单根据选择物流公司加载对应仓库来决定是否拆单  jira:DDGL-987

 app/o2o/lib/branch/product.php                    |  30 ++
 app/o2o/lib/store.php                             |  42 +++
 app/ome/controller/admin/order.php                | 348 +++++--------------
 app/ome/lib/event/receive/delivery.php            |  10 +-
 app/ome/lib/order/split.php                       | 295 +++++++++++++++-
 app/ome/view/admin/order/confirm.html             |   4 +
 app/ome/view/admin/order/confirm/o2o_confirm.html |   6 +-
 app/ome/view/admin/order/confirm_split.html       | 392 +++++++++++++++++++---
 8 files changed, 784 insertions(+), 343 deletions(-)

commit 2dee781fef2a203f083251695e22e781556a61c0
Merge: f635b64 fe33b0a
Date:   Fri Nov 17 13:53:08 2017 +0800

    Merge branch 'develop' of https://git.ishopex.cn/oms/oms-system-beta into develop

commit f635b649b237daff80b15bc4e53a61279879886e
Date:   Fri Nov 17 13:52:47 2017 +0800

    addDelivery方法中去除trigger_error错误消息

 app/ome/model/delivery.php | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit fe33b0a1b0a6e75d6a8e993fe9bdfe2cae22a445
Date:   Thu Nov 16 18:16:28 2017 +0800

    物料版新增人工库存预占功能模块 SAASOMS-368 调整

 app/console/view/admin/stock/artificial/import.html | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 42b1e5d3a363c9cab8e2f54548ae3db1a85d464b
Merge: 01f499d fc8d300
Date:   Thu Nov 16 17:10:45 2017 +0800

    Merge branch 'develop' of https://git.ishopex.cn/oms/oms-system-beta into develop

commit 01f499dd75a8715629bd017f6ebbb9e2ff0df5d2
Date:   Thu Nov 16 17:10:23 2017 +0800

    物料版新增人工库存预占功能模块 SAASOMS-368 调整

 app/console/lib/stock/artificial/freeze.php | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit fc8d300b31315379b95b4db14be0ad078ae4585b
Merge: 56f62d9 39d9968
Date:   Thu Nov 16 15:39:57 2017 +0800

    Merge branch 'develop' of https://git.ishopex.cn/oms/oms-system-beta into develop

commit 56f62d97f729590b6b77d489d5f604d445474cad
Date:   Thu Nov 16 15:39:27 2017 +0800

    去除无用的日志记录说明

 app/ome/model/delivery.php | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 39d99682ea93e6cc856a889465617f3f01d9e9de
Date:   Thu Nov 16 10:33:25 2017 +0800

    合并发货单trade_code超过50个字符需要截取长度

 app/erpapi/lib/wms/matrix/qimen/request/delivery.php | 3 +++
 1 file changed, 3 insertions(+)

commit 2fc1198c890c5e4626470e5336a8046500fa3656
Date:   Wed Nov 15 11:39:01 2017 +0800

    物料版新增人工库存预占功能模块 SAASOMS-368 调整

 .../controller/admin/stock/artificial/freeze.php   | 38 ++++++++++++-
 app/console/desktop.xml                            | 21 ++++----
 app/console/lib/stock/artificial/freeze.php        | 53 ++++++++++--------
 app/console/lib/stock/artificial/import.php        | 38 +++++++++++++
 app/console/lib/view/input.php                     |  8 +--
 .../basic/material/stock/artificial/freeze.php     | 11 ----
 .../view/admin/stock/artificial/import.html        | 62 ++++++++++++----------
 app/ome/lib/store/manage/branch.php                |  2 +-
 8 files changed, 155 insertions(+), 78 deletions(-)

commit 3228eeed5c988a8964878c18118b6433daaee301
Date:   Tue Nov 14 11:13:24 2017 +0800

    物料版新增人工库存预占功能模块 SAASOMS-368

 app/console/controller/admin/stock.php             |   5 +-
 .../controller/admin/stock/artificial/freeze.php   | 196 +++++++++++++
 app/console/desktop.xml                            |   6 +
 .../basic/material/stock/artificial/freeze.php     |  66 +++++
 .../lib/finder/basic/material/stock/freeze.php     |   4 +
 app/console/lib/stock/artificial/freeze.php        | 311 +++++++++++++++++++++
 app/console/lib/stock/freeze.php                   |  10 +
 app/console/lib/storefreeze.php                    |  15 +
 app/console/lib/view/input.php                     | 182 ++++++++++++
 .../basic/material/stock/artificial/freeze.php     |  33 +++
 app/console/model/basic/material/stock/freeze.php  |   2 +-
 app/console/services.xml                           |   6 +
 .../view/admin/stock/artificial/add_freeze.html    | 118 ++++++++
 .../view/admin/stock/artificial/import.html        |  53 ++++
 .../view/admin/stock/artificial/input-row.html     |  17 ++
 .../stock/artificial/select_basic_material.html    |   6 +
 .../view/admin/stock/artificial/show_products.html |  18 ++
 app/console/view/admin/stock/freeze.html           |   9 +-
 .../basic_material_stock_artificial_freeze.php     |  97 +++++++
 app/material/lib/basic/material/stock/freeze.php   |  21 ++
 .../basic/material/stock/artificial/freeze.php     |   8 +
 app/ome/lib/operation/log.php                      |   1 +
 app/ome/lib/store/manage.php                       |   2 +
 app/ome/lib/store/manage/branch.php                |  33 +++
 app/ome/lib/store/manage/store.php                 |   7 +
 25 files changed, 1223 insertions(+), 3 deletions(-)

commit b0a02b13d632fcd3e8cb759a761c59d8fc5b634e
Date:   Mon Nov 13 16:06:00 2017 +0800

    调整赠品赠送记录走后台导出

 app/ome/controller/admin/crm/gift.php   |  4 +-
 app/ome/controller/admin/order/auto.php | 19 +++++++-
 app/ome/lib/export/whitelist.php        |  1 +
 app/ome/model/gift/logs.php             |  8 ++++
 app/ome/view/admin/order/auto.html      | 83 ++++++++++++++++++++++++++++-----
 5 files changed, 101 insertions(+), 14 deletions(-)

commit 25bc468afe893be8bae4d93028ab3babae7ad653
Date:   Sat Nov 11 11:52:39 2017 +0800

    更新设置菜鸟模板链接。

 app/logisticsmanager/view/admin/express/sync_tpl_cainiao.html | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c5f774760613a41daf7a1a3c235be0ebd15bc619
Merge: ca05d48 4616fbe
Date:   Sat Nov 11 09:03:48 2017 +0800

    Merge branch 'develop' of https://git.ishopex.cn/oms/oms-system-beta into develop

commit ca05d485908d2448e07099cfe11460d7ec0e9ce6
Date:   Sat Nov 11 09:03:09 2017 +0800

    合并获取订单审单进队列

 app/ome/controller/admin/order.php        |   5 +
 app/ome/controller/admin/order/auto.php   | 180 +++++++++--
 app/ome/dbschema/batch_log.php            |  14 +-
 app/ome/lib/autotask/task/ordertaking.php | 101 ++++++
 app/ome/view/admin/order/auto.html        | 501 +++++++++++++-----------------
 app/taskmgr/lib/task/task/ordertaking.php |  16 +
 app/taskmgr/lib/whitelist.php             |   1 +
 7 files changed, 505 insertions(+), 313 deletions(-)

commit 4616fbeb0994ef1475b42d855025dfd3ac6107cc
Date:   Thu Nov 9 16:18:54 2017 +0800

    售后申请单接受申请创建退换货单时系统默认计算需退款金额并更新  jira:SAASOMS-362

 app/ome/lib/return/rchange.php | 8 ++++++--
 1 file changed, 6 insertions(+), 2 deletions(-)

commit b16998570f5baa6ce950cd3c52f26e44a54a0590
Date:   Thu Nov 9 15:40:49 2017 +0800

    售后申请单接受申请创建退换货单时系统默认计算需退款金额并更新  jira:SAASOMS-362

 app/ome/controller/admin/return.php         |  6 +++
 app/ome/controller/admin/return/rchange.php | 12 +++++
 app/ome/lib/return/rchange.php              | 81 +++++++++++++++++++++++++++++
 3 files changed, 99 insertions(+)

commit 84af4ae3b47a9c2746cb0b228ef51c4931b7e2f1
Date:   Thu Nov 9 14:06:29 2017 +0800

    售后退换货：退款申请金额0元的不生成退款申请单和退款单。SAASOMS-360

 app/ome/model/reship.php                | 31 ++++++++++++--------
 app/sales/lib/aftersale/type/change.php | 50 +++++++++++++++------------------
 2 files changed, 41 insertions(+), 40 deletions(-)

commit c3af0f8815680615e7b2d07c8c344cb3d34f46fa
Date:   Tue Nov 7 17:43:50 2017 +0800

    [电子面单线优化代码]发货单撤销失败时不能编辑订单

 app/ome/controller/admin/order.php | 26 +++++++++++++++++---------
 1 file changed, 17 insertions(+), 9 deletions(-)

commit d4146f9280cc884d760fa59c5453661a908a3765
Date:   Tue Nov 7 16:10:09 2017 +0800

    好食期平台对接-校验发货判断线上状态 jira:SAASOMS-354

 .../lib/shop/matrix/haoshiqi/request/order.php     | 28 ++++++++++++++++++++++
 1 file changed, 28 insertions(+)

commit 2cd29d21ed6c82e5eeef69705fb2163aeef57b92
Date:   Tue Nov 7 11:07:18 2017 +0800

    [电子面单线优化代码]修复售后服务详情列表里已处理申请商品数量

 app/ome/lib/finder/return/product.php               | 14 ++++++++++++++
 app/ome/view/admin/return_product/detail/basic.html |  2 +-
 2 files changed, 15 insertions(+), 1 deletion(-)

commit 9622a1c181d4e9632071acfd4f71061ced079b7a
Date:   Mon Nov 6 18:10:27 2017 +0800

    导入时价格不为数字型附加表失败 编辑时加判断如果附加表数据没有作SAVE

 app/material/controller/admin/material/sales.php | 101 ++++++++++++-----------
 app/material/lib/sales/material/to/import.php    |  28 +++----
 2 files changed, 68 insertions(+), 61 deletions(-)

commit 03b223b0825a83f0fac2856c4e35f8b43fd8a992
Merge: 9a2e305 28ccb0f
Date:   Mon Nov 6 18:04:04 2017 +0800

    Merge branch 'develop' of https://git.ishopex.cn/oms/oms-system-beta into develop

commit 9a2e3052f2106e42b544dfd3a8681d16369d4a2a
Date:   Mon Nov 6 18:03:51 2017 +0800

    好食期物流公司添加  jira:SAASOMS-354

 app/ome/model/dly/corp.php | 2 ++
 1 file changed, 2 insertions(+)

commit 729fb0e5784faeaa6c190242f40631c29770e412
Date:   Mon Nov 6 18:03:22 2017 +0800

    好食期平台对接  jira:SAASOMS-354

 .../lib/shop/matrix/haoshiqi/request/delivery.php  |  9 +++
 .../lib/shop/matrix/haoshiqi/request/order.php     |  9 +++
 .../shop/matrix/haoshiqi/response/aftersalev2.php  | 13 ++++
 .../lib/shop/matrix/haoshiqi/response/order.php    | 70 ++++++++++++++++++++++
 app/erpapi/lib/shop/whitelist.php                  |  6 ++
 app/inventorydepth/lib/finder/shop.php             |  4 +-
 app/inventorydepth/lib/shop/api/support.php        |  6 +-
 app/inventorydepth/lib/shop/relation.php           |  4 +-
 app/ome/lib/shop/type.php                          |  4 +-
 9 files changed, 119 insertions(+), 6 deletions(-)

commit 28ccb0f22b14673bc76bea46f147712b9cb7187e
Date:   Mon Nov 6 16:12:59 2017 +0800

    导入时价格不为数字型附加表失败 编辑时加判断如果附加表数据没有作SAVE

 app/material/controller/admin/material/basic.php | 64 +++++++++++++-----------
 app/material/lib/basic/material/to/import.php    | 26 +++++-----
 2 files changed, 49 insertions(+), 41 deletions(-)

commit a1279a92c8e13888919c87a89be037c12f255780
Date:   Mon Nov 6 15:24:36 2017 +0800

    导入基础物料因为没有价格等信息。物料信息取不到修复SAASOMS-353

 app/material/lib/basic/material.php | 76 ++++++++++++++++++-------------------
 1 file changed, 38 insertions(+), 38 deletions(-)

commit 98d1c64bfe2661cfef7213ab8c5489f9c40415b6
Date:   Fri Nov 3 11:43:22 2017 +0800

    call 方法加 write_log问题修复

 app/erpapi/lib/caller.php | 20 ++++++++++++--------
 1 file changed, 12 insertions(+), 8 deletions(-)

commit c5e11c32bedc449c423770f8e8fb78069946474d
Date:   Thu Nov 2 17:40:41 2017 +0800

    在途库存列表展示

 app/console/lib/finder/products.php | 40 ++++++++++++++++++-------------------
 1 file changed, 20 insertions(+), 20 deletions(-)

commit 4d1ffe0f0c50060067200dafda088b3754a01459
Date:   Thu Nov 2 17:39:20 2017 +0800

    通知仓库取消列表展示优化

 app/console/controller/admin/delivery/sync.php | 26 ++++++++++++++------------
 1 file changed, 14 insertions(+), 12 deletions(-)

commit b4b5aa72030a46d74ac35726819b65f54cc36c1a
Merge: 0c82c74 2258d1f
Date:   Thu Nov 2 11:16:52 2017 +0800

    Merge branch 'develop' of https://git.ishopex.cn/oms/oms-system-beta into develop

commit 0c82c74d13a7c27d874fd94b4ac6dec9f3407270
Date:   Thu Nov 2 11:16:13 2017 +0800

    仓储中心-人工发起发货通知单取消，优化代码增加日志记录

 app/console/controller/admin/delivery/sync.php | 1 +
 1 file changed, 1 insertion(+)

commit 2258d1fdcb806032a9132d7b044f696a7edd493c
Date:   Wed Nov 1 16:11:17 2017 +0800

    OMS创建退换单时自动关联前端店铺售后申请单上的物流公司和物流单号 jira:ZCB-51

 app/ome/controller/admin/return/rchange.php | 19 ++++++++++++++++++-
 app/ome/lib/finder/reship.php               | 20 +++++++++++++++++++-
 2 files changed, 37 insertions(+), 2 deletions(-)

commit b73e65251d734154720fc14adebaaf2faeb51557
Date:   Wed Nov 1 11:10:07 2017 +0800

    售后入库单导出时使用切片导出_修复只能导出100条数据的Bug  jira:SAASOMS-309

 app/ome/model/return/iostock.php | 8 ++++++--
 1 file changed, 6 insertions(+), 2 deletions(-)

commit ed6d741f03cc17b09786abb65647398564421706
Date:   Tue Oct 31 21:40:15 2017 +0800

    售后入库单导出时使用切片导出_修复只能导出100条数据的Bug     jira:SAASOMS-309

 app/ome/model/return/iostock.php | 13 +++++++++++++
 1 file changed, 13 insertions(+)

commit 4df1763a568a85e98259e6b5c5b70de5f97edec8
Date:   Tue Oct 31 21:24:50 2017 +0800

    售后入库单导出时使用切片导出_修复只能导出100条数据的Bug     jira:SAASOMS-309

 app/ome/model/return/iostock.php | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 73cb3c3d60a545bb76343a00dd382054338cfce8
Date:   Tue Oct 31 21:20:39 2017 +0800

    售后入库单导出时使用切片导出_修复只能导出100条数据的Bug     jira:SAASOMS-309

 app/ome/model/return/iostock.php | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 8db83909a9a43096b06b3b62dc5c2ff78116b35c
Date:   Tue Oct 31 21:15:41 2017 +0800

    售后入库单导出时使用切片导出_修复只能导出100条数据的Bug     jira:SAASOMS-309

 app/ome/model/return/iostock.php | 24 ++++++++++--------------
 1 file changed, 10 insertions(+), 14 deletions(-)

commit 75a75502fb5e972a1095e6983d8e5f0726c1f02b
Date:   Tue Oct 31 20:38:51 2017 +0800

    售后入库单导出时使用切片导出_修复只能导出100条数据的Bug     jira:SAASOMS-309

 app/ome/model/return/iostock.php | 94 ++++++++++++++++++++++++++++------------
 1 file changed, 67 insertions(+), 27 deletions(-)

commit cfdd909e5db19248ad7dc00d3ceddcd238eab079
Date:   Tue Oct 31 19:25:43 2017 +0800

    售后入库单导出时使用切片导出_修复只能导出100条数据的Bug     jira:SAASOMS-309

 app/ome/lib/export/whitelist.php |   1 +
 app/ome/model/return/iostock.php | 233 +++++++++++++++++++++++++++++++++++----
 2 files changed, 215 insertions(+), 19 deletions(-)

commit f1fc97ca76ff848ecfd1620dd7620ac19898bbdd
Merge: 9f2e767 40436a0
Date:   Tue Oct 31 17:17:30 2017 +0800

    Merge branch 'develop' of https://git.ishopex.cn/oms/oms-system-beta into develop

commit 9f2e767fe47ea181d2cd4fa0fc9896848fca13a1
Date:   Tue Oct 31 17:16:46 2017 +0800

    增加其他入库里高级筛选条件-残损确认状态

 app/taoguaniostockorder/dbschema/iso.php | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 40436a0c433f628937be85a5dcb5c6b3086fc833
Date:   Wed Oct 25 16:41:55 2017 +0800

    branch mdl 类 _filter新增check_permission,当为false时不检查权限,根据传递的branch_id返回对应仓库信息 SAASOMS-343

 app/ome/model/branch.php | 75 +++++++++++++++++++++++++++---------------------
 1 file changed, 42 insertions(+), 33 deletions(-)

commit 55d330ed17927735f57094632b889f1c65651287
Date:   Tue Oct 24 16:23:00 2017 +0800

    未分派订单栏目中点击获取订单页加入预售订单类型条件 jira:SAASOMS-341

 app/ome/controller/admin/order/auto.php | 19 ++++++-
 app/ome/view/admin/order/auto.html      | 99 ++++++++++++++++++++++++++-------
 app/omeauto/lib/auto/combine.php        |  8 ++-
 3 files changed, 104 insertions(+), 22 deletions(-)

commit cc5d0bfd712862471498328b54c899aa0df4758f
Date:   Tue Oct 24 11:43:06 2017 +0800

    拉掉团购订单批量导入帮助链接，点击过去403。

 app/ome/view/admin/order/import/import.html | 6 ------
 1 file changed, 6 deletions(-)

commit 53131e4a00aa7a246ca17538bf9603500e830b4e
Date:   Tue Oct 24 10:57:00 2017 +0800

    修复批量同意退款时shopex自有体系发起前端退款请求 jira:SAASOMS-330

 app/ome/controller/admin/refund/apply.php         | 47 +++++++-----
 app/ome/lib/refund/apply.php                      | 93 +++++++++++++++++++++++
 app/ome/view/admin/refund/batch_agree_refund.html |  7 +-
 3 files changed, 121 insertions(+), 26 deletions(-)

commit 5a42d9eab214150e1a1dbd4900709c3743af1515
Date:   Fri Oct 20 16:23:05 2017 +0800

    增加基础物料和销售物料操作日志 jira:SAASOMS-336

 app/material/controller/admin/material/basic.php        | 4 ++++
 app/material/view/admin/material/basic/history_log.html | 2 +-
 2 files changed, 5 insertions(+), 1 deletion(-)

commit 7c559cd101966368e6faeab997217c45d8a52e1f
Date:   Fri Oct 20 16:18:07 2017 +0800

    增加基础物料和销售物料操作日志 jira:SAASOMS-336

 app/material/lib/finder/material/basic.php | 18 ++++++++++++++++++
 1 file changed, 18 insertions(+)

commit 4d0267ab8846ae0520c0b299e930046a683c11e5
Date:   Fri Oct 20 15:53:48 2017 +0800

    增加基础物料和销售物料操作日志 jira:SAASOMS-336

 app/material/controller/admin/material/basic.php   |  90 ++++++++++++++-
 app/material/controller/admin/material/sales.php   |  88 +++++++++++++-
 app/material/lib/basic/material.php                |   2 +-
 app/material/lib/finder/basic/material.php         |  19 ++-
 app/material/lib/finder/material/sales.php         |  19 ++-
 .../view/admin/material/basic/history_log.html     | 127 +++++++++++++++++++++
 app/material/view/admin/material/basic/logs.html   |  41 +++++++
 .../view/admin/material/sales/history_log.html     | 100 ++++++++++++++++
 app/material/view/admin/material/sales/logs.html   |  41 +++++++
 app/wms/lib/operation/log.php                      |   6 +
 10 files changed, 523 insertions(+), 10 deletions(-)

commit adad3938dddec65357deb28d31e42a2484e02c0c
Date:   Thu Oct 19 14:32:09 2017 +0800

    日常管理_货品上架_加上货品编码的验证功能。SAASOMS-337

 app/purchase/controller/admin/stock.php | 4 ----
 1 file changed, 4 deletions(-)

commit 62e7d3844a12b52cc7404b132b690c778e70dfdc
Date:   Wed Oct 18 14:47:25 2017 +0800

    修复发货回写唯一码取不到 SAASOMS-335

 .../event/trigger/shop/data/delivery/common.php    | 64 ++++++++++++----------
 1 file changed, 35 insertions(+), 29 deletions(-)

commit 504bfe56e69be630ddc8e6c75eb1fbb78dbb63eb
Merge: 3f4ec7d 18ef82c
Date:   Wed Oct 18 14:46:46 2017 +0800

    Merge branch 'develop' of https://git.ishopex.cn/oms/oms-system-beta into develop

commit 3f4ec7d780ae9f2adfa615e7057c0400b26b7f02
Date:   Mon Oct 16 18:09:02 2017 +0800

    退款申请单-状态为退款失败时 允许 操作 拒绝 SAASOMS-329

 app/ome/view/admin/refund/refundapp_detail.html | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 18ef82c89ffb6b1c9a0eca25aa205be00530f584
Date:   Mon Oct 16 18:00:09 2017 +0800

    基础档案_客户列表_编辑的功能优化。SAASOMS-328

 app/ome/view/admin/member/add_customer.html | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 52d1df422d2b34694538a4fe155b290bf4b84616
Date:   Thu Oct 12 15:02:27 2017 +0800

    协同版升迁脚本:清空数据库中CRM赠品及淘宝赠品,需要客户重新设置

 script/update/script/upgrade_product_to_material.php | 19 +++++++++++++++++++
 1 file changed, 19 insertions(+)

commit 30f09d52a86d906b263a058e32325a5c65d4a9b9
Date:   Wed Oct 11 14:15:19 2017 +0800

    新增唯品会自有仓出库单模板的编辑和打印功能 DDGL-994

 app/ome/controller/admin/print/otmpl.php      | 48 ++++++++++++++++++++
 app/ome/dbschema/print_otmpl.php              |  1 +
 app/ome/model/print/otmpl.php                 |  1 +
 app/wms/controller/admin/vopstockout.php      | 64 +++++++++++++++++++++++++++
 app/wms/view/admin/vop/print.html             | 43 ++++++++++++++++++
 app/wms/view/admin/vop/vopstockout_print.html | 59 ++++++++++++++++++++++++
 script/update/script/addVopstockoutPrint.php  | 43 ++++++++++++++++++
 7 files changed, 259 insertions(+)

commit 57b974953074ae0e306f4abf8b8a5f359e7e6def
Date:   Tue Oct 10 16:29:15 2017 +0800

    天猫退款申请单变化以理由变更或金额来判断 SAASOMS-314

 app/erpapi/lib/shop/matrix/tmall/response/aftersalev2.php | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit b936663eb988c969dda2b4dbfdfd3b825005af09
Date:   Sat Sep 30 10:42:27 2017 +0800

    赠品规则增加赠送方式选项。SAASOMS-311

 app/crm/lib/rpc/gift.php                | 133 ++++++++++++++++++++++++++------
 app/ome/view/admin/gift/rule_edit.html  |  50 ++++++++++++
 app/ome/view/admin/gift/rule_edit3.html |  76 +++++++++++++++++-
 3 files changed, 236 insertions(+), 23 deletions(-)

commit 9c24447096d98c1be1f8b27d58e2d826d5e5712c
Date:   Wed Sep 27 16:01:05 2017 +0800

    新增或编码基础物料时_没有o2o门店禁止选择全渠道选项

 app/material/controller/admin/material/basic.php | 26 ++++++++++++++++++++++--
 app/material/view/admin/material/basic/add.html  |  3 ++-
 app/material/view/admin/material/basic/edit.html |  2 +-
 3 files changed, 27 insertions(+), 4 deletions(-)

commit 50540c8a9ce445c35e8f238ca75a019d1a3cd835
Date:   Wed Sep 27 11:21:29 2017 +0800

    代码优化：库存管控拉掉重复判断仓类型（门店仓或电商仓）。

 app/ome/controller/admin/return/rchange.php | 20 ++++++++------------
 1 file changed, 8 insertions(+), 12 deletions(-)

commit ec3aa01f4d5f18df8bfaf8510df00f4ad4aecfc1
Date:   Tue Sep 26 14:29:55 2017 +0800

    修复do_cancel方法换货预占需要判是否是门店仓。

 app/ome/controller/admin/return/rchange.php | 20 ++++++++++++--------
 1 file changed, 12 insertions(+), 8 deletions(-)

commit 6c91ed2def3e55d53700809ac8d9458c5581151a
Date:   Tue Sep 26 11:56:06 2017 +0800

    售后加个高级筛选店铺名称 SAASOMS-302

 app/ome/lib/finder/extend/filter/return/product.php | 10 ++++++++++
 1 file changed, 10 insertions(+)

commit 07fb268f112c4f1db4188342d600099ef72b3d2c
Date:   Fri Sep 22 18:19:50 2017 +0800

    奇门仓储模拟出库失败的问题修复

 app/erpapi/lib/wms/matrix/qimen/response/stockout.php | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 9360035cc881ff2c72f6273b22790c6e41d9272f
Date:   Thu Sep 21 18:22:08 2017 +0800

    修复取消库内转储单没有释放预占流水记录  jira:DDGL-992

 app/console/lib/stock.php | 36 ++++++++++++++++++++++++++----------
 1 file changed, 26 insertions(+), 10 deletions(-)

commit 45d90b524010375dc59e00a8ee70b669639ed709
Date:   Thu Sep 21 14:16:21 2017 +0800

    采购入库时保存"供应商与商品建立关联关系"数据是报SQL错误 jira:DDGL-991

 app/wms/lib/eo.php | 10 ++++++++--
 1 file changed, 8 insertions(+), 2 deletions(-)

commit 21e078a9fedabeaeed960d15de2b4a12ce038ebb
Date:   Wed Sep 20 18:50:48 2017 +0800

    开启复审后_编辑成功后保存最新的商品明细记录到复审数据表中

 app/ome/controller/admin/order.php | 3 +++
 1 file changed, 3 insertions(+)

commit 12c00d2481e4f00e6e7db7bd8d2dcf807de83d5b
Date:   Wed Sep 20 18:26:51 2017 +0800

    支持多包裹发货回写 SAASOMS-300

 app/ome/lib/event/receive/delivery.php | 37 ++++++++++++++++++++++++++++++++++
 1 file changed, 37 insertions(+)

commit 1f3023af48e1d351af97ff81195e7e7e175e246a
Date:   Wed Sep 20 18:25:52 2017 +0800

    支持多包裹发货回写 SAASOMS-300

 app/erpapi/lib/wms/response/delivery.php         | 17 ++++++++++++++---
 app/erpapi/lib/wms/selfwms/response/delivery.php | 18 +++++++++++++++---
 2 files changed, 29 insertions(+), 6 deletions(-)

commit 97b15c5d7a8f59f84bc93e2634584fed5a93067e
Merge: 86ee55a 519b7c8
Date:   Wed Sep 20 18:25:19 2017 +0800

    Merge branch 'develop' of https://git.ishopex.cn/oms/oms-system-beta into develop

commit 86ee55a1339132a280342d0913e5bab4a7bed918
Date:   Wed Sep 20 18:23:47 2017 +0800

    支持多包裹发货回写 SAASOMS-300

 app/wms/controller/admin/receipts/print.php | 138 +++++++++++++++-------------
 app/wms/lib/delivery/process.php            |  24 +++--
 2 files changed, 93 insertions(+), 69 deletions(-)

commit 519b7c861d522d522b8926ae4f54ab9aef1df76a
Date:   Wed Sep 20 17:37:28 2017 +0800

    复审订单回滚时,释放基础物料冻结预占流水问题修复

 app/ome/model/order/retrial.php | 14 +++++++-------
 1 file changed, 7 insertions(+), 7 deletions(-)

commit 4b860a0511890e98398c10a8c9f598485348796c
Date:   Wed Sep 20 16:56:31 2017 +0800

    自动审单新加功能：获取订单按照时间段获取。SAASOMS-268

 app/ome/view/admin/system/setting/tab_consign.html | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit eb2d355f3325ffbc0738af34eb6ad3448cbb6b59
Date:   Wed Sep 20 16:33:45 2017 +0800

    取消售后换货单时需要释放冻结库存  jira:DDGL-990

 app/ome/controller/admin/return/rchange.php | 13 +++++++++++++
 1 file changed, 13 insertions(+)

commit 2523de1ce03c88329d1c9aa3cf5c4875b7a9bda4
Date:   Wed Sep 20 10:38:32 2017 +0800

    自动审单新加功能：获取订单按照时间段获取。SAASOMS-268

 app/ome/controller/admin/setting.php               | 10 ++++++-
 app/ome/lib/order.php                              | 12 ++++----
 app/ome/view/admin/system/setting/tab_consign.html | 34 ++++++++++++++--------
 3 files changed, 36 insertions(+), 20 deletions(-)

commit 685b9a7b5f67708f76147d335613f1cc25cdf8b5
Date:   Tue Sep 19 17:09:44 2017 +0800

    自动审单新加功能：获取订单按照时间段获取。SAASOMS-268

 app/ome/view/admin/system/setting/tab_consign.html | 16 +++++++---------
 1 file changed, 7 insertions(+), 9 deletions(-)

commit bfa6c9d5e82f4e6f3dcee311f6ec3800713605c1
Date:   Tue Sep 19 16:22:11 2017 +0800

    唯品会JIT-只有同采购单、同仓拣货单才允许合并生成出库单 jira:DDGL-989

 app/purchase/lib/purchase/pick.php | 10 ++++++----
 1 file changed, 6 insertions(+), 4 deletions(-)

commit ad1675cef9996937b6ad3be8e4bb80627f5bd9d1
Date:   Tue Sep 19 15:51:37 2017 +0800

    自动审单新加功能：获取订单按照时间段获取。SAASOMS-268

 app/ome/controller/admin/setting.php               |  44 +++++++
 app/ome/lib/order.php                              |  22 ++++
 app/ome/lib/system/setting.php                     |   2 +
 app/ome/view/admin/system/setting/tab_consign.html | 129 +++++++++++++++++++++
 4 files changed, 197 insertions(+)

commit f94f37e0f199c2e53c8a56b185529d1cf794dfdf
Date:   Fri Sep 15 17:56:12 2017 +0800

    天天快递鸟对接

 app/logisticsmanager/view/admin/channel/channel.html | 14 ++++++++------
 1 file changed, 8 insertions(+), 6 deletions(-)

commit c80b4813b6f26a7fb28e0699d213529a880ab295
Date:   Fri Sep 15 17:45:41 2017 +0800

    天天快递  -快递鸟提交

 app/logisticsmanager/controller/admin/channel.php  | 93 +++++++++++-----------
 .../view/admin/channel/channel.html                | 25 ++++--
 2 files changed, 67 insertions(+), 51 deletions(-)

commit c66a4aab056a17f7758b74cb699b1101c39beb2b
Date:   Fri Sep 15 17:44:56 2017 +0800

    天天快递 快递鸟提交

 app/erpapi/lib/logistics/matrix/hqepay/config.php | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit 47c10c305b020c3280e9c841a7f45492b188bc30
Merge: 427012e b19e364
Date:   Thu Sep 14 14:56:43 2017 +0800

    Merge branch 'develop' of https://git.ishopex.cn/oms/oms-system-beta into develop

commit 427012ee27e15f4e1d3e6e88daa6628fcf5ef171
Date:   Thu Sep 14 14:54:17 2017 +0800

    快递鸟电子面单新增国通、天天、邮政快递包裹、中铁快运四个支持的物流公司

 app/logisticsmanager/lib/waybill/hqepay.php        | 16 ++++++++++++++
 .../view/admin/channel/channel.html                | 25 ++++++++++++++--------
 2 files changed, 32 insertions(+), 9 deletions(-)

commit b19e36459084eb7e2b41c920b1588bd1ff1ec23f
Date:   Thu Sep 14 14:34:26 2017 +0800

    修复导入出库单时计算商品总额不正确  jira:DDGL-988

 app/taoguaniostockorder/model/iso.php | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

commit 635cc4eb9d5fbf0221bb05bc58dfccf453de4716
Date:   Thu Sep 14 11:48:21 2017 +0800

    当基础物料在没有任何出入库记录情况下允许修改条码和货号 SAASOMS-293

 app/material/controller/admin/material/basic.php | 67 +++++++++++++-----------
 app/material/lib/basic/check.php                 | 66 +++++++++++++++--------
 app/material/view/admin/material/basic/edit.html | 18 +++++--
 3 files changed, 95 insertions(+), 56 deletions(-)

commit 84dcb4218e466d2fdcbc4c346903bdf3c0f7c3c4
Date:   Wed Sep 13 14:30:00 2017 +0800

    在途库存加 链接并对应单据展示 SAASOMS-292

 app/console/controller/admin/stock.php         | 105 ++++++++++++++++---------
 app/console/lib/finder/basic/material.php      |  48 +++++------
 app/console/view/admin/stock/arrive_stock.html |  38 +++++++++
 3 files changed, 128 insertions(+), 63 deletions(-)

commit 02aee15c3722766d5e306723307684a26e1fc366
Date:   Tue Sep 12 15:19:33 2017 +0800

    LMZ2017091201西藏高尚电子商务有限公司（发货追回商品名称不显示）SAASOMS-290

 app/ome/controller/admin/delivery/back.php | 91 +++++++++++++++---------------
 1 file changed, 46 insertions(+), 45 deletions(-)

commit 673c3b68be5bb0ed3b420a040e06941263b538e4
Date:   Mon Sep 11 14:50:19 2017 +0800

    AG 退完货后发起 加申请数量和反馈数量比较 SAASOMS-289

 app/ome/model/reship.php | 218 ++++++++++++++++++++++++-----------------------
 1 file changed, 111 insertions(+), 107 deletions(-)

commit 5bbe68c365fc7d94f0743634e554391f78c0494a
Date:   Mon Sep 11 10:29:22 2017 +0800

    发货时 订单状态更新失败 进失败重试队列

 app/erpapi/controller/admin/api/fail.php | 47 ++++++++++++++++++--------------
 1 file changed, 26 insertions(+), 21 deletions(-)

commit 2096f376c65b97396ce428ee3a09cf536968894d
Date:   Mon Sep 11 10:27:29 2017 +0800

    发货时 订单状态更新失败 进失败重试队列

 app/ome/lib/event/receive/delivery.php | 86 +++++++++++++++++-----------------
 1 file changed, 44 insertions(+), 42 deletions(-)

commit cafb0f0744dce1d53b2e22f6a75f3a5f9baace63
Date:   Fri Sep 8 17:52:48 2017 +0800

    订单拆单后_回传奇门trade_code平台单号需要唯一(本次新增了qimen_delivery_id别名) jira:DDGL-986

 app/erpapi/lib/wms/matrix/qimen/request/delivery.php | 2 +-
 app/ome/lib/event/data/delivery.php                  | 5 +++--
 2 files changed, 4 insertions(+), 3 deletions(-)

commit 26552b619f91b832a08414dfac6f2ebaaf494036
Date:   Fri Sep 8 17:05:33 2017 +0800

    修复团购订单导入标题描述歧义的问题

 app/ome/lib/groupon/import.php | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a796fc635ce237d3cb76ab7c57283db2634832c5
Date:   Fri Sep 8 15:50:48 2017 +0800

    修复订单拆单后_第二个发货单回传奇门时提示“仓储中心判断库存不足,请检查每个商品库存”的错误  jira:DDGL-986

 .../lib/wms/matrix/qimen/request/delivery.php      | 41 +++++++++++++++++++---
 app/ome/lib/event/data/delivery.php                |  5 ++-
 2 files changed, 41 insertions(+), 5 deletions(-)

commit 1165f3a1af622c42b55dfc13d9793057912deebf
Date:   Fri Sep 8 14:33:49 2017 +0800

    修复出入库差异确认时 残损 确认  按钮没有问题

 app/console/lib/receipt/stock.php | 111 ++++++++++++++++++++------------------
 1 file changed, 58 insertions(+), 53 deletions(-)

commit 1200a3db67e092c1b4ae53a21c0a4f39de1e8a8e
Date:   Thu Sep 7 17:54:00 2017 +0800

    发货单发货守护进程改为取10分钟以前的单子 SAASOMS-288

 app/ome/lib/autotask/timer/syncdlystatus.php | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 4710e3c428087e20ff1a7acd654423c4a939d5bc
Date:   Thu Sep 7 17:50:21 2017 +0800

    发货单发货守护进程改为取10分钟以前的单子 SAASOMS-288

 app/ome/lib/autotask/timer/syncdlystatus.php | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 72d1f0220113e5bb57c5a4a56d2986c95e442d57
Date:   Thu Sep 7 11:33:01 2017 +0800

    物流优选新增按指定店铺设置，迁移指定物流公司选择功能到仓库配置。

 app/erpapi/lib/shop/request/logistics.php          |  11 +-
 app/logistics/controller/admin/area/rule.php       | 243 +++++++----
 app/logistics/controller/admin/rule.php            | 106 +++--
 app/logistics/dbschema/rule.php                    |  23 +-
 app/logistics/dbschema/rule_obj.php                |  13 +-
 app/logistics/dbschema/rule_shop.php               |  47 ++
 app/logistics/lib/dly/corp.php                     |  26 +-
 app/logistics/lib/finder/rule.php                  |  70 ++-
 app/logistics/lib/rule.php                         | 111 +++--
 app/logistics/model/rule.php                       | 300 ++++++++-----
 app/logistics/view/admin/branch.html               |   2 +-
 app/logistics/view/admin/city_rule_list.html       |  35 +-
 app/logistics/view/admin/create_rule.html          | 474 ++++++++++++++-------
 app/logistics/view/admin/deleteRule.html           |  65 +--
 .../view/admin/detail_area_rule_list.html          |  18 +-
 app/logistics/view/admin/detail_rule_list.html     |  66 +--
 app/logistics/view/admin/edit_city_rule.html       | 101 +++--
 app/ome/controller/admin/batch/order.php           |   8 +-
 app/ome/controller/admin/branch.php                |  68 ++-
 app/ome/controller/admin/dly/corp.php              |  25 +-
 app/ome/controller/admin/order.php                 |   5 +-
 app/ome/dbschema/branch_corp.php                   |  41 ++
 app/ome/lib/autotask/timer/logisticsanalysts.php   |   2 +-
 app/ome/lib/branch/corp.php                        |  65 +++
 app/ome/lib/finder/dly/corp.php                    |  20 +-
 app/ome/lib/finder/shop.php                        |  21 +-
 app/ome/model/branch.php                           |  34 +-
 app/ome/view/admin/system/branch.html              |  26 +-
 app/ome/view/admin/system/dly_corp.html            |  34 +-
 app/ome/view/admin/system/dly_corp_money.html      |  25 +-
 app/ome/view/admin/system/terminal_dly_crop.html   |  35 +-
 app/omeanalysts/controller/logistics/analysts.php  |   2 +-
 .../lib/finder/ome/extend/filter/cod.php           |  11 +-
 .../lib/finder/ome/extend/filter/delivery.php      |   9 -
 app/omeanalysts/model/ome/type.php                 |  15 +-
 app/omeauto/lib/auto/plugin/logi.php               |  29 +-
 .../update/script/updateBranchCorpRelationship.php |  49 +++
 37 files changed, 1456 insertions(+), 779 deletions(-)

commit 6a5f7157b86c68cb331184fdb6b5870d6805ac6d
Date:   Thu Sep 7 11:15:49 2017 +0800

    出入库单编辑 时 总金额重新计算 SAASOMS-287

 app/console/controller/admin/iostockorder.php | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)
